Skip to main content
`Ctrl`+`K`

# PCPatchSetComputeOperatorExteriorFacets

Set the callback function used to compute exterior facet integrals for patch matrices

## Synopsis

    #include "petscpc.h"
    #include "petscmat.h"
    PetscErrorCode PCPatchSetComputeOperatorExteriorFacets(PC pc, PetscErrorCode (*func)(PC pc, PetscInt point, Vec x, Mat mat, IS facetIS, PetscInt n, const PetscInt *dofsArray, const PetscInt *dofsArrayWithAll, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- pc - The `PC`

- func - The callback function

- ctx - The user context

## Calling sequence of `func`

- pc - The `PC`

- point - The point

- x - The input solution (not used in linear problems)

- mat - The patch matrix

- facetIS - An array of the facet numbers

- n - The size of `dofsArray`

- dofsArray - The dofmap for the dofs to be solved for

- dofsArrayWithAll - The dofmap for all dofs on the patch

- ctx - The user context

## Note

The matrix entries have been set to zero before the call.

## See Also

KSP: Linear System Solvers, `PCPatchSetComputeOperator()`, `PCPatchSetComputeOperatorInteriorFacets()`, `PCPatchSetComputeFunctionExteriorFacets()`, `PCPatchSetDiscretisationInfo()`

## Level

advanced

## Location

src/ksp/pc/impls/patch/pcpatch.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages